[med-svn] [r-bioc-edger] 01/12: Adapt test style to other tests of R packages

Andreas Tille tille at debian.org
Fri Aug 8 13:59:18 UTC 2014


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository r-bioc-edger.

commit 2ff3cea9da9e21602c54fe9a6828d5d0a0bb0e98
Author: Andreas Tille <tille at debian.org>
Date:   Sat Jun 28 07:27:29 2014 +0200

    Adapt test style to other tests of R packages
---
 debian/tests/control       |  5 +++--
 debian/tests/run-unit-test | 23 +++++++++++++++++++++++
 debian/tests/upstream      | 18 ------------------
 3 files changed, 26 insertions(+), 20 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 180d96b..d2aa55a 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,3 @@
-Tests: upstream
-Depends: @, r-cran-mass
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..6ef626a
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+
+pkg=r-bioc-edger
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+cd $ADTTMP
+cp -a /usr/share/doc/${pkg}/tests/* $ADTTMP
+gunzip *.gz
+for test in *R
+do
+  zcat ${test} > `basename ${test} .gz`
+  R CMD BATCH ${test}
+  R CMD Rdiff ${test}out.save* ${test}out
+  if [ ! $? ] ; then
+    echo "Test ${test} failed"
+    exit 1
+  else
+    echo "Test ${test} passed"
+  fi
+  rm -f ${test}out .RData
+done
+rm -f $ADTTMP/*
diff --git a/debian/tests/upstream b/debian/tests/upstream
deleted file mode 100755
index c0a1366..0000000
--- a/debian/tests/upstream
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh -e
-
-TEMPORARY_DIR=$(mktemp -d)
-
-cd $TEMPORARY_DIR
-
-cp /usr/share/doc/r-bioc-edger/tests/* .
-for test in *R.gz
-do
-  zcat ${test} > `basename ${test} .gz`
-  R CMD BATCH `basename ${test} .gz`
-  R CMD Rdiff `basename ${test} .gz`out.save* `basename ${test} .gz`out
-  rm `basename ${test} .gz`out .RData
-done
-
-cd -
-
-rm -rf $TEMPORARY_DIR

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/r-bioc-edger.git



More information about the debian-med-commit mailing list